function init(hero) {
    hero.setName("Mr Freeze");
    hero.setTier(2);
    
    hero.setHelmet("item.superhero_armor.piece.goggles");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:cold_gun");
    
    hero.addAbilities("fiskheroes:cold_resistance");
    hero.addAttribute("FALL_RESISTANCE", 2.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    
    hero.setHasPermission(hasPermission);
}

function hasPermission(entity, permission) {
    return permission == "USE_COLD_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:cold_gun";
}
